<?php

namespace Planaday\Entities\Booking\Form\Materials;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\BookingFormSettingsEnum;

enum MaterialSettingsEnum: string implements OptionGroupEnum {
	case ShowMaterials = "showMaterials";
	case FormTitle = "formTitle";
	case FormDescription = "formDescription";
	case ShowMaterialDescription = "showMaterialDescription";
	case ShowMaterialPrice = "showMaterialPrice";
	case ShowPriceIncludingAndExcludingTax = "showPriceIncludingAndExcludingTax";

	public static function getClassName(): string {
		return MaterialSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingFormSettingsEnum::Materials;
	}
}
